OLT Line Profile
5 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| addLineProfile | POST | Create new line profile |
| deleteLineProfile | POST | Delete an existing line profile |
| editLineProfile | POST | Modify an existing line profile |
| getLineProfileList | GET | Get line profile list |
| getLineProfilePage | GET | Get line profile page |
addLineProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/profiles/add
Create new line profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema LineProfileDTO
| Field | Type | Required | Description |
|---|---|---|---|
lineProfileId | integer | yes | ID of line profile should be within the range of 1 to 512 and should not be null |
name | string | no | The name of the Line template, an optional configuration. If not configured by the user, it will be automatically generated by the device. Name should contain 1 to 32 characters including digits, upper and lower letters, and the following six characters: -@_😕. . It can be left empty; if empty, it will be assigned automatically by the device. |
isSystemProfile | boolean | no | IsSystemProfile should be null, because it's generated by device. |
isInUse | boolean | no | Whether the Line Profile is in use: if it is in use, deletion is not allowed. True indicates it is in use, while false indicates it is not in use. This field should not be provided |
upstreamFEC | string | yes | Enable/Disable Upstream FEC feature. UpstreamFEC should be a value as follows: DISABLE;ENABLE. |
mappingMode | string | yes | Mapping method for the ONT. MappingMode should be a value as follows: VLAN, PRIORITY, VLAN_PRIORITY, PORT, PORT_VLAN, PORT_PRIORITY, PORT_VLAN_PRIORITY. Default value: VLAN. |
omccEncrypt | string | no | Whether to enable OMCC encryption feature: when OMCC encryption is enabled, OMCI messages will be encrypted; otherwise, they will not be encrypted. OmccEncrypt should be a value as follows: ENABLE;DISABLE. Default value: ENABLE. |
tcontNum | integer | no | The number of T-conts created under this Line template is non-configurable. |
gemPortNum | integer | no | The number of gem ports created under this Line template is non-configurable. |
// omada_call_operation
{
"operationId": "addLineProfile",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Create new line profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
deleteLineProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/profiles/delete
Delete an existing line profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema IntIdListRequest
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<integer> | yes | ID list |
// omada_call_operation
{
"operationId": "deleteLineProfile",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Delete an existing line profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editLineProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/profiles/edit
Modify an existing line profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema LineProfileModifyDTO
| Field | Type | Required | Description |
|---|---|---|---|
lineProfileId | integer | yes | LineProfileId should be within the range of 1 to 512 |
name | string | no | The name of the Line template, an optional configuration. If not configured by the user, it will be automatically generated by the device. Name should contain 1 to 32 characters including digits, upper and lower letters, and the following six characters: -@_😕. . It can be left empty; if empty, it will be assigned automatically by the device. |
upstreamFEC | string | no | Enable/Disable Upstream FEC feature. UpStreamFEC should be a value as follows: DISABLE;ENABLE. Default value: DISABLE. |
mappingMode | string | no | Mapping method for the ONT. MappingMode should be a value as follows: VLAN, PRIORITY, VLAN_PRIORITY, PORT, PORT_VLAN, PORT_PRIORITY, PORT_VLAN_PRIORITY. Default value: VLAN. |
omccEncrypt | string | no | Whether to enable OMCC encryption feature: when OMCC encryption is enabled, OMCI messages will be encrypted; otherwise, they will not be encrypted. OmccEncrypt should be a value as follows: ENABLE;DISABLE. Default value: DISABLE. |
// omada_call_operation
{
"operationId": "editLineProfile",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing line profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getLineProfileList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/profiles/list
Get line profile list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | LineProfileListQueryDTO | no | Object: its fields (searchKey, sorts, searchFields) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getLineProfileList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get line profile list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getLineProfilePage
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/profiles/page
Get line profile page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | LineProfilePageQueryDTO | no | Object: its fields (searchKey, sorts, size, number, searchFields) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getLineProfilePage",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get line profile page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.